Index: /code/branches/usability/data/gui/scripts/GraphicsMenu.lua
===================================================================
--- /code/branches/usability/data/gui/scripts/GraphicsMenu.lua	(revision 8022)
+++ /code/branches/usability/data/gui/scripts/GraphicsMenu.lua	(revision 8023)
@@ -337,4 +337,7 @@
     -- prompt for confirmation
     openDecisionPopup("Do you want to keep these settings? (Settings will be reverted in 10 seconds if not accepted)", GraphicsMenu.callback_ApplyDecisionPopup)
+    if checkedFullscreen then
+        showCursor()
+    end
 end
 
Index: /code/branches/usability/data/gui/scripts/SheetManager.lua
===================================================================
--- /code/branches/usability/data/gui/scripts/SheetManager.lua	(revision 8022)
+++ /code/branches/usability/data/gui/scripts/SheetManager.lua	(revision 8023)
@@ -10,24 +10,19 @@
 orxonox.GUIManager:subscribeEventHelper(menuSheetsRoot, "Sized", "windowResized")
 
------------------------
---- Local functions ---
------------------------
-
-local function hideCursor()
-    if cursor:isVisible() then
-        cursor:hide()
-    end
-end
-
-local function showCursor()
-    if not cursor:isVisible() and inputMgr:isMouseExclusive() then
-        cursor:show()
-    end
-end
-
-
 ------------------------
 --- Global functions ---
 ------------------------
+
+function hideCursor()
+    if cursor:isVisible() then
+        cursor:hide()
+    end
+end
+
+function showCursor()
+    if not cursor:isVisible() and inputMgr:isMouseExclusive() then
+        cursor:show()
+    end
+end
 
 -- Loads the GUI with the specified name
@@ -257,7 +252,19 @@
 
 function windowResized(e)
-    local sheet = activeMenuSheets[activeMenuSheets.size]
-    if sheet then
-        sheet.sheet:windowResized()
+    for name, sheet in pairs(loadedSheets) do
+        if orxonox.GraphicsManager:getInstance():isFullScreen() or sheet.tShowCursor == TriBool.False then
+            inputMgr:setMouseExclusive(sheet.inputState, TriBool.True)
+        else
+            inputMgr:setMouseExclusive(sheet.inputState, TriBool.False)
+        end
+    end
+    local sheetTuple = activeMenuSheets[activeMenuSheets.size]
+    if sheetTuple then
+        if orxonox.GraphicsManager:getInstance():isFullScreen() and sheetTuple.sheet.tShowCursor ~= TriBool.False then
+            showCursor()
+        else
+            hideCursor()
+        end
+        sheetTuple.sheet:windowResized()
     end
 end
Index: /code/branches/usability/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/usability/src/libraries/core/input/InputManager.cc	(revision 8022)
+++ /code/branches/usability/src/libraries/core/input/InputManager.cc	(revision 8023)
@@ -641,3 +641,19 @@
         state->destroy();
     }
+
+    bool InputManager::setMouseExclusive(const std::string& name, TriBool::Value value)
+    {
+        if (name == "empty")
+        {
+            COUT(2) << "InputManager: Changing the empty state is not allowed!" << std::endl;
+            return false;
+        }
+        std::map<std::string, InputState*>::iterator it = statesByName_.find(name);
+        if (it != statesByName_.end())
+        {
+            it->second->setMouseExclusive(value);
+            return true;
+        }
+        return false;
+    }
 }
Index: /code/branches/usability/src/libraries/core/input/InputManager.h
===================================================================
--- /code/branches/usability/src/libraries/core/input/InputManager.h	(revision 8022)
+++ /code/branches/usability/src/libraries/core/input/InputManager.h	(revision 8023)
@@ -163,4 +163,11 @@
         */
         bool destroyState(const std::string& name); // tolua_export
+        /**
+        @brief
+            Changes the mouse mode of an input state.
+        @return
+            True if the call was successful, fals if the name was not found
+        */
+        bool setMouseExclusive(const std::string& name, TriBool::Value value); // tolua_export
 
         //-------------------------------
